// This software is provided "AS IS" with no warranties of any kind.
// The entire risk arising out of the use or performance of the software
// and source code is with you.

using System;
using System.Collections.Generic;
using System.Text;

namespace HealthMonitoring
{
	/// <summary>
	/// Defines the properties necessary to provide log4net with the additional information
	/// it needs
	/// </summary>
	interface ILoggerEvent
	{
		/// <summary>
		/// The level this event should be logged at
		/// </summary>
		Level Level
		{
			get;
			set;
		}

		/// <summary>
		/// The name of the log to log this event to
		/// </summary>
		string LogName
		{
			get;
			set;
		}
	}
}
